#include "MyWindow.h"

#include <QtWidgets/QMessageBox>
#include <raytrace.h>

MyWindow::MyWindow(QWidget *parent)
    :
    QWidget(parent)
{
    label.setText(QString("path to database: "));
    button.setText(QString("set title"));
    connect(&button, SIGNAL(clicked()), this, SLOT(handle()));

    layout.addWidget(&label);
    layout.addWidget(&lineEdit);
    layout.addWidget(&button);

    setLayout(&layout);
}

void MyWindow::handle()
{
    const char *path = lineEdit.text().toStdString().c_str();
    struct rt_i *rtip;
    char title[1024] {};

    rtip = rt_dirbuild(path, title, sizeof(title));

    if (rtip == RTI_NULL) {
        QMessageBox::information(this, "", "error while setting title");
        return;
    }

    setWindowTitle(QString(title));
}
